:- module(pac_test, []).
:- use_module(util(math)).

term_expansion --> pac:expand_pac.

% ?- test.
test:- sample(S, A),
	   format("\t~w ==> ~w.\n", [S, A]),
	   fail.
test:- writeln("test done.").

sample('math:nCr(100, 50, A)', A):- math:nCr(100, 50, A).
sample(Q, Sum):-
	Q = 'Sum=sum(0), for( 1..100, pred(Sum, [I]:- ( arg(1, Sum, S), Si is S+I, setarg(1, Sum, Si))))',
	Sum=sum(0),
	for( ..(1, 100), pred(Sum, [I]:- ( arg(1, Sum, S), Si is S+I, setarg(1, Sum, Si)))).
