:-module(symbol_char,
		 [	 stream_term_string/2,
			 stream_term_string/3
		 ]).

:- op(8,	fy,		'`').
:- op(10,	fy,		*).
:- op(10,	fy,		?).
:- op(10,	fy,		@).
:- op(10,	fy,		#).
:- op(10,	fy,		:).
:- op(60,	yfx,	@).
:- op(750,	yfx,	&).
:- op(1200,	xfx,	-->>).
:- op(650,	xfy,	(::)).
:- op(1050, xfy,	\).
:- op(1105, xfy,	'|').
:- op(450,	xfx,	(..)).
:- op(710,	fy,		~).

stream_term_string(Eqs, X, Stream):-
	read_term(Stream, X, [variable_names(Eqs)]).
%
stream_term_string(X, Stream) :- read_term(Stream, X).
