:- module(pkd, []).
:- use_module(engine).
term_expansion --> expand_pac.

% ?- module(pkd).

:-bekind(int, []).
X	= `X
	:- (var(X); integer(X)).
X + Y	= :plus@X@Y.
X - Y	= xargs([A,B,C]:- plus(B,C,A))@X@Y.
- X	= 0 - X.
:-ekind.
% ?- listing(int/2).
%
% ?- list(([1,2]^3+[4,5]^2)^3, X), length(X, N).
% ?- list((([1,2]^3+[4,5]^2)^3)^4, X), length(X, N).
% ?- list([1,2], X).
% ?- list([1,2]+[3,4], X).
% ?- eval(list::([1,2]^3), X).
% ?- eval(int::(1+ -2 + -3 -4), V).
:-bekind(list, []).
X	= `X
	:-	( var(X)
		; X==[]
		; X='[|]'(_,_)
		).
X  + Y	= :append@X@Y.
_X ^ 0	= [].
X  ^ N	= xargs([A] -> :times(N, A))@ X.
:-ekind.

% ?- listing(pkd:list/2).

:- bekind(times//1, []).
0 = `[].
I = with(H, xargs([X] -> :list(+(H, X))) @
	    @(:flip(succ)  @ `I)).
:- ekind.

% ?- listing(pkd:times/3).
